Compute recommendations
List compute recommendation history
Returns historical compute recommendation snapshots for a resource owned by the tenant selected by the X-CostGraph-Tenant-ID header
GET
/
api
/
v1
/
tenant
/
compute
/
recommendations
/
{resource_type}
/
{resource_id}
/
history
List compute recommendation history
curl --request GET \
--url https://api.costgraph.ai/api/v1/tenant/compute/recommendations/{resource_type}/{resource_id}/history \
--header 'Authorization: <api-key>' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>'import requests
url = "https://api.costgraph.ai/api/v1/tenant/compute/recommendations/{resource_type}/{resource_id}/history"
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>', Authorization: '<api-key>'}
};
fetch('https://api.costgraph.ai/api/v1/tenant/compute/recommendations/{resource_type}/{resource_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": {
"items": [
{
"action": "<string>",
"confidence": "<string>",
"generated_at": "<string>",
"id": "<string>",
"reason": "<string>",
"coverage": 123,
"current_monthly_cost": 123,
"recommended_instance_type": "<string>",
"recommended_monthly_cost": 123,
"savings_monthly_usd": 123
}
],
"limit": 123,
"offset": 123,
"total_count": 123
}
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
Path Parameters
Resource type, currently virtual_machine
Resource ID
Query Parameters
History start timestamp in RFC3339 or RFC3339Nano format
History end timestamp in RFC3339 or RFC3339Nano format
Number of rows to return (default 50, max 200)
Rows to skip before returning results (default 0)
Was this page helpful?
⌘I
List compute recommendation history
